# Summary

***

* [Introduction 🇫🇷](READMEfr.md)
    * [1. Description des données d'entrée](French/DataDescriptionRNAseq.md)
        * [a. Pipeline Nextflow/nf-core RNAseq](French/DataDescriptionRNAseq.md)
        * [b. Pipeline Nextflow/nf-core SAREK](French/DataDescriptionSAREK.md)
    * [2. Salmon](French/Salmon/Salmon.md)
        * [a. Salmon RNAseq](French/Salmon/SalmonRNAseq.md)
    * [3. FastQC](French/FastQC/fastQC.md)
        * [a. General Statistics](French/FastQC/GeneralStatistics.md)
        * [b. Sequence Counts](French/FastQC/SequenceCounts.md)
        * [c. Sequence Quality Histograms](French/FastQC/SequenceQualityHistograms.md)
        * [d. Per Sequence Quality Scores](French/FastQC/PerSequenceQualityScores.md)
        * [e. Per Base Sequence Content](French/FastQC/PerBaseSequenceContent.md)
        * [f. Per Sequence GC Content](French/FastQC/PerSequenceGCContent.md)
        * [g. Per Base N Content](French/FastQC/PerBaseNContent.md)
        * [h. Sequence Length Distribution](French/FastQC/SequenceLengthDistribution.md)
        * [i. Sequence Duplication Levels](French/FastQC/SequenceDuplicationLevels.md)
        * [j. Overrepresented Sequences](French/FastQC/OverrepresentedSequences.md)
        * [k. Adapter Content](French/FastQC/AdapterContent.md)
        * [l. StatusChecks](French/FastQC/StatusChecks.md)
        * [m. Trouble shooting](French/FastQC/Troubleshooting.md)
    * [4. Fastp](French/Fastp/Fastp.md)
        * [a. Filtred Reads](French/Fastp/FiltredReads.md)
        * [b. GC Content](French/Fastp/GC_Content.md)
        * [c. InsertSizes](French/Fastp/InsertSizes.md)
        * [d. N Content](French/Fastp/N_Content.md)
        * [e. Sequence Quality](French/Fastp/SequenceQuality.md)
    * [5. Cutadapt](French/Cutadapt/Cutadapt.md)
        * [a. Filtred Reads](French/Cutadapt/FilteredReads.md)
        * [b. Trimmed Sequence Lengths 3'](French/Cutadapt/TrimmedSequenceLengths3'.md)
    * [6. STAR](French/STAR/STAR.md)
        * [a. Alignment Score](French/STAR/ALignmeentScore.md)
    * [7. Rsem](French/Rsem/Rsem.md)
        * [a. Mapped Reads](French/Rsem/MappedReads.md)
        * [b. Multimapping rates](French/Rsem/MutltimappingRates.md)
    * [8. SamTools](French/Samtools/SamTools.md)
        * [a. Alignement Stat](French/Samtools/AlignmentStat.md)
        * [b. Mapped Reads Per Countig](French/Samtools/MappedReadsPerCounting.md)
        * [c. Percent Mapped](French/Samtools/PercentMapped.md)
        * [d. SamTools Flagstat](French/Samtools/SamtoolsFlagstat.md)
        * [e. X and Y counts](French/Samtools/XYcounts.md)
    * [9. Picard](French/Picard/Picard.md)
        * [a. MarkDuplicates](French/Picard/MarkDuplicates.md)
    * [10. RseQC](French/RseQC/RseQC.md)
        * [a. BAM stats](French/RseQC/BAMStat.md)
        * [b. Infer Experiment](French/RseQC/InferExperiment.md)
        * [c. Inner Distance](French/RseQC/InnerDistance.md)
        * [d. Junction Annotation](French/RseQC/JunctionAnnotation.md)
        * [e. Junction Saturation](French/RseQC/JunctionSaturation.md)
        * [f. Read Distribution](French/RseQC/ReadDistribution.md)
        * [g. Read Duplication](French/RseQC/ReadDuplication.md)
    * [11. QualiMap](French/QualiMap/QualiMap.md)
        * [a. Gene Coverage Profile](French/QualiMap/GeneCoverageProfile.md)
        * [b. Genomic Origin of Reads](French/QualiMap/GenomicOriginOfReads.md)
    * [12. DupRadar](English/DupRadar/DupRadar.md)
        * [a. General Linear Model](English/DupRadar/DupRadarExample.md)
    * [13. DESeq2](French/DESeq2PCA/DESeq2.md)
        * [a. PCA](French/DESeq2PCA/DESseq2PCA.md)
        * [b. Heatmap](French/DESeq2PCA/Heatmap.md)
    * [14. Feature Counts](French/FeatureCounts/FeatureCounts.md)
        * [a. Biotype Counts](French/FeatureCounts/BiotypeCounts.md)







****

* [Introduction 🇬🇧](README.md)
    * [1. Description des données d'entrée](English/DataDescriptionRNAseq.md)
        * [a. Pipeline Nextflow/nf-core RNAseq](English/DataDescriptionRNAseq.md)
        * [b. Pipeline Nextflow/nf-core SAREK](English/DataDescriptionSAREK.md)
    * [2. Salmon](English/Salmon/Salmon.md)
        * [a. Salmon RNAseq](English/Salmon/SalmonRNAseq.md)
    * [3. FastQC](English/FastQC/fastQC.md)
        * [a. General Statistics](English/FastQC/GeneralStatistics.md)
        * [b. Sequence Counts](English/FastQC/SequenceCounts.md)
        * [c. Sequence Quality Histograms](English/FastQC/SequenceQualityHistograms.md)
        * [d. Per Sequence Quality Scores](English/FastQC/PerSequenceQualityScores.md)
        * [e. Per Base Sequence Content](English/FastQC/PerBaseSequenceContent.md)
        * [f. Per Sequence GC Content](English/FastQC/PerSequenceGCContent.md)
        * [g. Per Base N Content](English/FastQC/PerBaseNContent.md)
        * [h. Sequence Length Distribution](English/FastQC/SequenceLengthDistribution.md)
        * [i. Sequence Duplication Levels](English/FastQC/SequenceDuplicationLevels.md)
        * [j. Overrepresented Sequences](English/FastQC/OverrepresentedSequences.md)
        * [k. Adapter Content](English/FastQC/AdapterContent.md)
        * [l. StatusChecks](English/FastQC/StatusChecks.md)
        * [m. Trouble shooting](English/FastQC/Troubleshooting.md)
    * [4. Fastp](English/Fastp/Fastp.md)
        * [a. Filtred Reads](English/Fastp/FiltredReads.md)
        * [b. GC Content](English/Fastp/GC_Content.md)
        * [c. InsertSizes](English/Fastp/InsertSizes.md)
        * [d. N Content](English/Fastp/N_Content.md)
        * [e. Sequence Quality](English/Fastp/SequenceQuality.md)
    * [5. Cutadapt](English/Cutadapt/Cutadapt.md)
        * [a. Filtred Reads](English/Cutadapt/FilteredReads.md)
        * [b. Trimmed Sequence Lengths 3'](English/Cutadapt/TrimmedSequenceLengths3'.md)
    * [6. STAR](English/STAR/STAR.md)
        * [a. Alignment Score](English/STAR/ALignmeentScore.md)
    * [7. Rsem](English/Rsem/Rsem.md)
        * [a. Mapped Reads](English/Rsem/MappedReads.md)
        * [b. Multimapping rates](English/Rsem/MutltimappingRates.md)
    * [8. SamTools](English/Samtools/SamTools.md)
        * [a. Alignement Stat](English/Samtools/AlignmentStat.md)
        * [b. Mapped Reads Per Countig](English/Samtools/MappedReadsPerCounting.md)
        * [c. Percent Mapped](English/Samtools/PercentMapped.md)
        * [d. SamTools Flagstat](English/Samtools/SamtoolsFlagstat.md)
        * [e. X and Y counts](English/Samtools/XYcounts.md)
    * [9. Picard](English/Picard/Picard.md)
        * [a. MarkDuplicates](English/Picard/MarkDuplicates.md)
    * [10. RseQC](English/RseQC/RseQC.md)
        * [a. BAM stats](English/RseQC/BAMStat.md)
        * [b. Infer Experiment](English/RseQC/InferExperiment.md)
        * [c. Inner Distance](English/RseQC/InnerDistance.md)
        * [d. Junction Annotation](English/RseQC/JunctionAnnotation.md)
        * [e. Junction Saturation](English/RseQC/JunctionSaturation.md)
        * [f. Read Distribution](English/RseQC/ReadDistribution.md)
        * [g. Read Duplication](English/RseQC/ReadDuplication.md)
    * [11. QualiMap](English/QualiMap/QualiMap.md)
        * [a. Gene Coverage Profile](English/QualiMap/GeneCoverageProfile.md)
        * [b. Genomic Origin of Reads](English/QualiMap/GenomicOriginOfReads.md)
    * [12. DupRadar](English/DupRadar/DupRadar.md)
        * [a. General Linear Model](English/DupRadar/DupRadarExample.md)
    * [13. DESeq2](English/DESeq2PCA/DESeq2.md)
        * [a. PCA](English/DESeq2PCA/DESseq2PCA.md)
        * [b. Heatmap](English/DESeq2PCA/Heatmap.md)
    * [14. Feature Counts](English/FeatureCounts/FeatureCounts.md)
        * [a. Biotype Counts](English/FeatureCounts/BiotypeCounts.md)
